module UserHelpers

  def build_user
    @counter = 0 if @counter.nil?
    @counter += 1
    {
      short_name: "ckent#{@counter}",
      id: "ckent#{@counter}",
      password: "paLLokA!a",
      first_name: "Clark",
      last_name: "Kent",
      email:  "superman#{@counter}@email.com",
      active: true,
      source: :test_source
    }
  end

  def deactivate_hth_user(attributes)
    id = attributes[:id]
    attributes.merge({
      deleted_at: "2012-12-18T16:15:41Z",
      id: "#{id}-#{Random.rand(9_999_999)}",
      old_id: id
    })
  end

  def deactivate_source_user(attributes)
    attributes.merge({
      active: false
    })
  end

end
